Cant install packages by atom or terminal


#1

I can’t install any packages through atom or terminal in Mac.
Here’s the message:

gyp info it worked if it ends with ok
gyp info using node-gyp@2.0.2
gyp info using node@0.10.40 | darwin | x64
gyp http GET https://atom.io/download/atom-shell/v0.36.8/node-v0.36.8.tar.gz
gyp WARN install got an error, rolling back install
gyp ERR! install error
gyp ERR! stack Error: read ETIMEDOUT
gyp ERR! stack at errnoException (net.js:905:11)
gyp ERR! stack at TCP.onread (net.js:559:19)
gyp ERR! System Darwin 15.3.0
gyp ERR! command “/Applications/Atom.app/Contents/Resources/app/apm/bin/node” “/Applications/Atom.app/Contents/Resources/app/apm/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js” “install” “–target=0.36.8” “–dist-url=https://atom.io/download/atom-shell” “–arch=x64” "–ensure"
gyp ERR! cwd /Users/josebarros/.atom
gyp ERR! node -v v0.10.40
gyp ERR! node-gyp -v v2.0.2
gyp ERR! not ok


#2

This looks like a connection problem. Are you under some proxy network configuration?
You should be able to check your configuration with apm config ls.